=== modified file 'bzrlib/globbing.py'
--- bzrlib/globbing.py	2010-07-08 11:47:56 +0000
+++ bzrlib/globbing.py	2010-07-08 11:57:22 +0000
@@ -241,7 +241,13 @@
             # the combined pattern we sent to regex. Instead we indicate to
             # the user that an ignore file needs fixing.
             mutter('Invalid pattern found in regex: %s.', e.message)
-            e.message = "File ~/.bazaar/ignore or .bzrignore contains errors."
+            e.message = "File ~/.bazaar/ignore or .bzrignore contains error(s)."
+            bad_patterns = ''
+            for _, patterns in self._regex_patterns:
+                for p in patterns:
+                    if not Globster.is_pattern_valid(p):
+                        bad_patterns += ('\n  %s' % p)
+            e.message += bad_patterns
             raise e
         return None
 

